﻿using System;
using Rhino;
using Rhino.Commands;
using Rhino.Input;

namespace TransitCarbonDemo
{
    [System.Runtime.InteropServices.Guid("1b66a591-d4ee-4749-b4e2-62b4a0c79c93")]
    public class SetTransitCarbonFactor : Command
    {
        static SetTransitCarbonFactor _instance;
        public SetTransitCarbonFactor()
        {
            _instance = this;
        }

        ///<summary>The only instance of the SetTransitCarbonFactor command.</summary>
        public static SetTransitCarbonFactor Instance
        {
            get { return _instance; }
        }

        public override string EnglishName
        {
            get { return "SetTransitCarbonFactor"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            var factor = TransitCarbonDemoPlugIn.Instance.TransitCarbonSettings.TransitCarbonFactor;

            var result = RhinoGet.GetNumber("Enter transit carbon factor:", true, ref factor);

            if (result != Result.Success)
            {
                return result;
            }

            TransitCarbonDemoPlugIn.Instance.TransitCarbonSettings.TransitCarbonFactor = factor;

            return Result.Success;
        }
    }
}
